.login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: calc(100vh - 150px);
    padding: 10px 20px;
}

.login-card {
    background: linear-gradient(to right, #000080, #120c4f);
    color: #ffffff;
    border-radius: 13px;
    padding: 10px 25px;
    max-width: 400px;
    width: 100%;
    text-align: center;
    border: 3px solid #ffd700;
    box-shadow:
        0 8px 24px rgba(0, 0, 0, 0.5),
        0 12px 36px rgba(0, 0, 0, 0.3);
}

.login-card h2 {
    margin-bottom: 20px;
    font-size: 1.6rem;
    font-weight: bold;
}

.login-card label {
    display: block;
    text-align: left;
    margin: 10px 0 5px;
    font-weight: bold;
}

.login-card input {
    width: 90%;
    padding: 10px;
    border-radius: 6px;
    border: none;
    font-size: 0.95rem;
    margin-bottom: 15px;
    background: #fff;
    color: #000;
}

.login-btn {
    width: 70%;
    padding: 12px;
    background: linear-gradient(to left, #ffff00, #f5bc17);
    color: #120c4f;
    font-weight: bold;
    font-size: 1.1rem;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    margin-top: 20px;
    margin-bottom: 10px;
}

.error-message {
    color: #ffcccc;
    background-color: rgba(255, 0, 0, 0.2);
    border-radius: 6px;
    padding: 8px 10px;
    margin-bottom: 10px;
    font-size: 0.9rem;
}
